Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### abs()

Examples

    int a = abs(153);      // Sets a to 153
    int b = abs(-15);      // Sets b to 15
    float c = abs(12.234); // Sets c to 12.234
    float d = abs(-9.23);  // Sets d to 9.23

Description | Calculates the absolute value (magnitude) of a number. The absolute value of a number is always positive.

Syntax

    abs(value)

Parameters

value | float or int

Usage | Web & Application

Updated on February 09, 2008 04:38:52pm PST